package logwire.core.bo.list;

import logwire.core.bo.object.BizObject;

import java.util.Map;

public interface BizList<X extends BizObject> extends Iterable<X> {

    De

    X findOne(String field, Object value);

    X findOne(Map fields);

    /* 暂不支持lql
    X find(String query);
    */

    X create();

    X create(Map fields);

    BizList<X> find(String field, Object value);

    BizList<X> find(Map fields);

    /* 暂不支持lql
    BizList<X> find(String query);
     */

    BizList<X> findAll();
}