package logwire.core.bo.operation.object;

import logwire.core.bo.object.BizObject;

public interface ObjectOperationEventHandler<X extends BizObject> {
    String getOperationName();
    default boolean isAfter() {return true;}
    default void doBefore(X x, Object...args){
        //调用行为同名方法
    }
    default void doAfter(X x, Object result, Object...args){
        //调用行为同名方法
    }
}
